## org.apache.poi.hssf.record.common
Class FeatProtection

    java.lang.Object
      org.apache.poi.hssf.record.common.FeatProtection

All Implemented Interfaces:
  SharedFeature

    public final class FeatProtection

extends java.lang.Object
implements SharedFeature

Title: FeatProtection (Protection Shared Feature) common record part

This record part specifies Protection data for a sheet, stored as part of a Shared Feature. It can be found in records such as `FeatRecord`

Field Summary
`static long` `HAS_SELF_RELATIVE_SECURITY_FEATURE`
`static long` `NO_SELF_RELATIVE_SECURITY_FEATURE`

Constructor Summary
`FeatProtection()`
`FeatProtection(RecordInputStream in)`

Method Summary
`int` `getDataSize()`
`int` `getFSD()`
`int` `getPasswordVerifier()`
`java.lang.String` `getTitle()`
`void` `serialize(LittleEndianOutput out)`
`void` `setPasswordVerifier(int passwordVerifier)`
`void` `setTitle(java.lang.String title)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_SELF_RELATIVE_SECURITY_FEATURE

    public static long NO_SELF_RELATIVE_SECURITY_FEATURE

### HAS_SELF_RELATIVE_SECURITY_FEATURE

    public static long HAS_SELF_RELATIVE_SECURITY_FEATURE

Constructor Detail

### FeatProtection

    public FeatProtection()

### FeatProtection

    public FeatProtection(RecordInputStream in)

Method Detail

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in interface `SharedFeature`
  Overrides:
    `toString` in class `java.lang.Object`

### serialize

    public void serialize(LittleEndianOutput out)

  Specified by:
    `serialize` in interface `SharedFeature`

### getDataSize

    public int getDataSize()

  Specified by:
    `getDataSize` in interface `SharedFeature`

### getPasswordVerifier

    public int getPasswordVerifier()

### setPasswordVerifier

    public void setPasswordVerifier(int passwordVerifier)

### getTitle

    public java.lang.String getTitle()

### setTitle

    public void setTitle(java.lang.String title)

### getFSD

    public int getFSD()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.